/*========================
  Simple Keyboard
  =======================
  12. december 2018  W.Spahn

  http://dernulleffekt.de


  Pin2----------Button1-----------GND
  Pin3----------Button1-----------GND
  Pin4----------Button1-----------GND

  Pin8----------PIEZO-----------GND

*/

#include "pitches.h"
int Key1 = HIGH;
int Key2 = HIGH;
int Key3 = HIGH;

void setup() {
  pinMode(2, INPUT_PULLUP);
  pinMode(3, INPUT_PULLUP);
  pinMode(4, INPUT_PULLUP);
}

void loop() {
  Key1 = digitalRead(2);
  Key2 = digitalRead(3);
  Key3 = digitalRead(4);
  
  if (Key1 == LOW) {
    tone(8, NOTE_A4, 20);
  }
  if (Key2 == LOW) {
    tone(8, NOTE_B4, 20);
  }
  if (Key3 == LOW) {
    tone(8, NOTE_C3, 20);
  }
}
